Subject: bug#32246: 27.0.50; files-tests failure on Cygwin

From: Michael Albinus <[email-masked]>
Date: Wed, 25 Jul 2018 18:46:24 +0200

Ken Brown <[email-masked]> writes:

> Hi Michael,

Hi Ken,

> I left out a crucial piece of information in my bug report (sorry!): I
> always set up my Cygwin systems to be case sensitive, as explained
> here:
>
> https://cygwin.com/cygwin-ug-net/using-specialnames.html#pathnames-casesensitive
>
> If you don't do this, then all file systems are case insensitive.  And
> even if you do this, file names under /cygdrive are case insensitive,
> as explained at the link above.  So I'm not surprised that you
> couldn't reproduce the error.

Well, file_name_case_insensitive_p of fileio.c doesn't care:

--8<---------------cut here---------------start------------->8---
#if defined CYGWIN || defined DOS_NT
  return true;
#else
  return false;
#endif
--8<---------------cut here---------------end--------------->8---

Do you believe this is worth fixing? If yes, I would let it to you.

Otherwise, I will add (skip-unless (not (eq system-type 'cygwin))) to
files-tests-file-name-non-special-file-name-case-insensitive-p.

> Best regards,
> Ken

Best regards, Michael.